package rozdzial25c;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;
import javafx.scene.shape.FillRule;
import javafx.stage.Stage;

public class Listing25_38 extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage stage) {
        try {
            Group root = new Group();
            Canvas cv = new Canvas(400, 350);
            GraphicsContext gc = cv.getGraphicsContext2D();
            gc.setStroke(Color.BLACK);
            gc.setFill(Color.AQUAMARINE);
            gc.setFillRule(FillRule.EVEN_ODD);
            //-
            gc.beginPath();
            gc.appendSVGPath("M0,200 Q200,400,400,200 Q200,0,0,200 M100,250 L100,150 L300,250 L300,150 Z");
            gc.stroke();
            gc.fill();

            //-
            root.getChildren().add(cv);
            Scene scene = new Scene(root);
            stage.setScene(scene);
            stage.setTitle("Metoda appendSVGPath");
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
